#include <iostream>
#include <set>

using namespace std;

unsigned a[200000],b[200000];

unsigned long long XiA(int l,int r){
unsigned long long X,A;
X=a[l];
A=b[l];
for(int i=l+1;i<=r;i++){
    X=X^a[i];
    A=A&b[i];
}
return X*A;
}

int main(){
ios_base::sync_with_stdio(false);
cin.tie(nullptr);
set<unsigned long long,greater<int>> res;
int n;
cin >> n;
for(int i=0;i<n;i++) cin >> a[i];
for(int i=0;i<n;i++) cin >> b[i];
for(int l=0;l<n;l++) for(int r=l;r<n;r++) res.insert(XiA(l,r));
cout << *res.begin() << "\n";
return 0;
}